
Google Sheets Import/Export - Bug #1146

Gspread fails due to lack of oauth2 support

01/01/2016 06:56 AM - Luke Murphey

Status: Closed Start date: 01/16/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0   

Description

https://github.com/burnash/gspread/issues/234

See:

https://answers.splunk.com/answers/242074/setting-up-when-forced-sso-in-google.html

https://answers.splunk.com/answers/338926/google-importexport-app-why-is-my-lookup-not-updat.html

Subtasks:

Task # 1159: Resolve dependencies for oauth2 client Closed

Task # 1160: Update client to use oauth credentials Closed

Task # 1161: Update modular input to use oauth credentials Closed

Task # 1162: Add setup page to accept global credentials Closed

Bug # 1163: Unit test test_import_by_lookup_name fails Closed

Task # 1165: Support dragging and dropping oauth2 credentials onto setup screen Closed

Task # 1169: Instructions on how to make a service account key Closed

History

#1 - 01/09/2016 05:28 AM - Luke Murphey

See instructions here: http://gspread.readthedocs.org/en/latest/oauth2.html

API: Web server

User Data

#2 - 01/09/2016 05:40 AM - Luke Murphey

install_requires = [

'httplib2>=0.9.1',

'pyasn1>=0.1.7',

'pyasn1-modules>=0.0.5',

'rsa>=3.1.4',

'six>=1.6.1',

]

#3 - 01/09/2016 05:46 AM - Luke Murphey

https://github.com/filippog/pyasn1

http://sourceforge.net/projects/pyasn1/files/pyasn1-modules/

https://bitbucket.org/sybren/python-rsa

https://pypi.python.org/pypi/six
#4 - 01/16/2016 07:18 AM - Luke Murphey

1.5.2: https://github.com/google/oauth2client/releases

#5 - 01/16/2016 07:18 AM - Luke Murphey

Collecting oauth2client

Downloading oauth2client-1.5.2.tar.gz (56kB)

100% |████████████████████████████████| 57kB 1.1MB/s

Collecting httplib2>=0.9.1 (from oauth2client)

Downloading httplib2-0.9.2.tar.gz (205kB)

100% |████████████████████████████████| 208kB 741kB/s

Collecting pyasn1>=0.1.7 (from oauth2client)

Downloading pyasn1-0.1.9-py2.py3-none-any.whl

Collecting pyasn1-modules>=0.0.5 (from oauth2client)

Downloading pyasn1_modules-0.0.8-py2.py3-none-any.whl

Collecting rsa>=3.1.4 (from oauth2client)

Downloading rsa-3.3-py2.py3-none-any.whl (44kB)

100% |████████████████████████████████| 45kB 1.5MB/s

Collecting six>=1.6.1 (from oauth2client)

Downloading six-1.10.0-py2.py3-none-any.whl

Installing collected packages: httplib2, pyasn1, pyasn1-modules, rsa, six, oauth2client

Running setup.py install for httplib2

Complete output from command /usr/bin/python -c "import setuptools,

tokenize;__file__='/private/var/folders/61/4v1t_czj3m13m1wbhtlytc000000gp/T/pip-build-Ypi8AW/httplib2/setup.py';exec(compile(getattr(tokenize,

'open', open)(file).read().replace('\r\n', '\n'), file, 'exec'))" install --record

/var/folders/61/4v1t_czj3m13m1wbhtlytc000000gp/T/pip-fPiNhE-record/install-record.txt --single-version-externally-managed --compile:

running install

running build

running build_py

creating build

creating build/lib

creating build/lib/httplib2

copying python2/httplib2/__init__.py -> build/lib/httplib2

copying python2/httplib2/iri2uri.py -> build/lib/httplib2

copying python2/httplib2/socks.py -> build/lib/httplib2

copying python2/httplib2/cacerts.txt -> build/lib/httplib2

running install_lib

creating /Library/Python/2.7/site-packages/httplib2

#6 - 01/16/2016 07:46 AM - Luke Murphey
Instructions:

1. Make a "Service Account Key" per http://gspread.readthedocs.org/en/latest/oauth2.html

2. Share the Spreadsheet with the email in the in your json_key['client_email']. Otherwise you’ll get a SpreadsheetNotFound exception.

#7 - 01/16/2016 08:21 AM - Luke Murphey

- Priority changed from Normal to Urgent

#8 - 01/16/2016 08:45 AM - Luke Murphey

- Description updated

#9 - 01/19/2016 06:50 AM - Luke Murphey

https://www.iconfinder.com/icons/211715/checkmark_icon#size=48

https://www.iconfinder.com/icons/183416/warning_icon#size=48

#10 - 01/19/2016 07:39 PM - Luke Murphey

- Status changed from New to Closed
